Subject: Re: bug#67150: eglot with typescript language server >= 4.1.0

From: João Távora <[email-masked]>
Date: Tue, 14 Nov 2023 12:19:15 +0000

On Tue, Nov 14, 2023 at 12:07 PM Eli Zaretskii <[email-masked]> wrote:
>
> > Resent-To: [email-masked]
> > From: João Távora <[email-masked]>
> > Date: Tue, 14 Nov 2023 00:12:24 +0000
> >
> > Thanks.  In the meantime I asked the server author some questions and
> > it seems the change has been rolled back, with the server accepting
> > the old language-ids again.  But I've pushed the change to eglot.el
> > anyway.  I think this bug can be closed, but let me know if you
> > disagree.
>
> Any reasons not to backport this to the emacs-29 branch?

No, go right ahead, though this isn't really a bug,
people will probably want to update Eglot from ELPA, and the
language server author has reverted the breaking change
as well.

Anyway I forget the emacs-29 is still a thing.  Are bugfixes _always_
to go release branch N-1 if they are applicable there (where N is
whatever master is going to become).  Was it always so?

João